\documentclass{standalone}
\usepackage{tikz}
\usepackage{steinmetz}
\begin{document}
\def \value{8}

% nth-root (<=45)
\def \n{3}
\def \mod{2}
\pgfmathsetmacro{\value}{pow(\mod,\n)}

% mod = sqrt[n]{x}
%\pgfmathsetmacro{\mod}{pow(\value,1/\n)}

\def \xmax{\value}
\def \ymax{\value}

%% \begin{tikzpicture}

%%   % grid
%%   \draw[very thin,color=gray!60] (-\xmax,-\ymax) grid (\xmax,\ymax);

%%   % axis
%%   \draw[->] (-\xmax-0.2,0) -- (\xmax+0.2,0) node[right] {$\Re$};
%%   \draw[->] (0,-\ymax-0.2) -- (0,\ymax+0.2) node[above] {$\Im$};

%%   % circle
%%   \draw[dashed,gray!60] (0,0) circle [radius=\mod cm];

%%   % roots as a small circle
%%   \foreach \k in {0,...,\n} {
%%     \draw (0,0) (\k*360/\n:\mod) circle [radius=2pt];
%%   }

%% \end{tikzpicture}

% for each root, n multiplications

% l = n-1
\pgfmathsetmacro{\l}{\n-1}

\begin{tikzpicture}
  \foreach \k in {0,...,\l} {
    \pgfmathsetmacro{\rootphase}{\k*360/\n}
    \def \vshift{\k*\ymax*2.5};
    \foreach \m in {0,...,\l} {
      \pgfmathsetmacro{\exponent}{\m+1}
      \def \hshift{\m*\xmax*2.5};

      \begin{scope}[xshift=\hshift cm,yshift=-\vshift cm]
        %\node at(-\xmax,\ymax) {$(\mod \phase{\rootphase})^{\exponent}$};
        
        % grid
        \draw[very thin,color=gray!60] (-\xmax,-\ymax) grid (\xmax,\ymax);

        % axis
        \draw[->] (-\xmax-0.2,0) -- (\xmax+0.2,0) node[right] {$\Re$};
        \draw[->] (0,-\ymax-0.2) -- (0,\ymax+0.2) node[above] {$\Im$};
        
        % circle
        \draw[dashed,gray!60] (0,0) circle [radius=\mod cm];

        % roots as a small circle
        \draw (0,0) (\k*360/\n:\mod) circle [radius=2pt];

        % k-th root multiplyied by itself m times
        \pgfmathsetmacro{\newmod}{pow(\mod,\exponent)}
        \pgfmathsetmacro{\newangle}{(\exponent)*\k*360/\n}
        \filldraw (0,0) (\newangle:\newmod) circle [radius=2pt] node[above=2mm]
                  {$(\mod \phase{\rootphase})^{\exponent} = \newmod \phase{\newangle}$};
        
      \end{scope}
      
    }
  }
\end{tikzpicture}

\end{document}
